<?php

namespace App\DataFixes;

use Illuminate\Console\Command;

abstract class BaseDataFix
{
    protected Command $command;

    public function setCommand(Command $command): static
    {
        $this->command = $command;

        return $this;
    }

    abstract public function key(): string;

    abstract public function description(): string;

    abstract public function fix(): array;

    protected function info(string $message): void
    {
        $this->command->line("  {$message}");
    }
}
